%global pkg_name haskell-src-exts

%global common_summary Library for Manipulating Haskell source

%global common_description Haskell-Source with Extensions is an extension\
of the standard haskell-src package, and handles most common syntactic\
extensions to Haskell, including:\
* Multi-parameter type classes with functional dependencies\
* Indexed type families (including associated types)\
* Empty data declarations\
* GADTs\
* Implicit parameters\
* Template Haskell\
and a few more. Apart from these standard extensions, it also handles\
regular patterns as per the HaRP extension as well as HSX-style embedded\
XML syntax.

%global ghc_pkg_deps ghc-cpphs-devel

%bcond_without shared

# debuginfo is not useful for ghc
%global debug_package %{nil}

Name:           ghc-%{pkg_name}
Version:        1.8.2
Release:        2%{?dist}
Summary:        %{common_summary}
Group:          System Environment/Libraries
License:        BSD
URL:            http://hackage.haskell.org/cgi-bin/hackage-scripts/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
# fedora ghc archs:
ExclusiveArch:  %{ix86} x86_64 ppc alpha
BuildRequires:  ghc, ghc-rpm-macros >= 0.5.1
BuildRequires:  ghc-doc
BuildRequires:  ghc-prof
%{?ghc_pkg_deps:BuildRequires:  %{ghc_pkg_deps}, %(echo %{ghc_pkg_deps} | sed -e "s/\(ghc-[^, ]\+\)-devel/\1-doc,\1-prof/g")}
BuildRequires:  happy

%description
%{common_description}
%if %{with shared}
This package provides the shared library.
%endif


%ghc_lib_package


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%cabal_configure --ghc -p
%cabal build
%cabal haddock


%install
%cabal_install
%cabal_pkg_conf

%ghc_gen_filelists


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Mon Feb 15 2010 Conrad Meyer <konrad@tylerc.org> - 1.8.2-2
- Bump to rebuild against cpphs 1.11

* Mon Feb 15 2010 Conrad Meyer <konrad@tylerc.org> - 1.8.2-1
- Bump to 1.8.2

* Fri Jan 22 2010 Jens Petersen <petersen@redhat.com> - 1.6.1-1
- update to 1.6.1

* Mon Jan 11 2010 Jens Petersen <petersen@redhat.com> - 1.5.3-1
- update to 1.5.3
- update to ghc-rpm-macros-0.5.1 and cabal2spec-0.21.1:
- drop doc and prof bcond
- use ghc_lib_package and ghc_pkg_deps
- drop redundant buildroot and its install cleaning

* Mon Nov 16 2009 Jens Petersen <petersen@redhat.com> - 1.3.0-2
- use %%ghc_pkg_ver for requires

* Sun Nov 15 2009 Jens Petersen <petersen@redhat.com> - 1.3.0-1
- update to 1.3.0
- requires ghc-cpphs-devel

* Fri Sep 18 2009 Jens Petersen <petersen@redhat.com> - 1.1.4-1
- update to 1.1.4

* Tue Aug  4 2009 Yaakov M. Nemoy <ynemoy@fedoraproject.org> - 1.0.1-3
- rebuild against new ghc

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul 1 2009 Conrad Meyer <konrad@tylerc.org> - 1.0.1-1
- Version bump.

* Tue Jun  2 2009 Jens Petersen <petersen@redhat.com> - 0.4.8-7
- drop superfluous cpphs and happy requires

* Sun May 24 2009 Jens Petersen <petersen@redhat.com> - 0.4.8-6
- buildrequires ghc-rpm-macros (cabal2spec-0.16)

* Fri Apr 24 2009 Jens Petersen <petersen@redhat.com> - 0.4.8-5
- sync with cabal2spec-0.15
- buildrequires >= 6.10.2-3 for latest macros

* Thu Mar 19 2009 Conrad Meyer <konrad@tylerc.org> - 0.4.8-4
- Update to new cabal2spec template.

* Mon Feb 16 2009 Conrad Meyer <konrad@tylerc.org> - 0.4.8-3
- Update to new cabal2spec template.
- Replace %%defines by %%globals.

* Wed Jan 21 2009 Conrad Meyer <konrad@tylerc.org> - 0.4.8-2
- update to new haskell packaging template

* Mon Jan 12 2009 Conrad Meyer <konrad@tylerc.org> - 0.4.8-1
- initial packaging for Fedora created by cabal2spec
